import request from '@/config/axios'

// 获取投递简历的年龄分布
export const getJobCvAgeCount = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/analysis/get/job/cv/age/count',
    params
  })
}

// 获取投递简历的学历分布
export const getJobCvEduCount = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/analysis/get/job/cv/edu/count',
    params
  })
}

// 获取投递简历的工作经验分布
export const getJobCvExpCount = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/analysis/get/job/cv/exp/count',
    params
  })
}

// 获取投递简历的性别分布
export const getJobCvSexCount = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/analysis/get/job/cv/sex/count',
    params
  })
}

// 联系我的和我联系的统计
export const getRecentConversations = async (data) => {
  return await request.post({
    url: '/app-api/im/recent/conversations/statistics',
    data
  })
}